Subject: bug#54551: show-paren-mode inconsistency

From: Phil Sainty <[email-masked]>
Date: Fri, 25 Mar 2022 10:34:23 +1300

On 2022-03-25 09:13, goncholden wrote:
> I am using show-paren-mode to highlight watching opening or closing
> parentheses.
> 
> Have seen that putting the cursor on the opening brace highlights the
> closing brace. But putting the cursor does not highlight the opening
> brace. One has to go to the character following the closing brace.

It's consistent, but you're confused because you think that the cursor
indicates a character rather than a position *between* two characters.

If you customize `cursor-type' to the Vertical Bar option you will
have a more literal view of the cursor, and see what `show-paren-mode'
is actually doing.

-Phil